polybori::navigates< DDType > Class Template Reference

`#include <pbori_func.h>`

Inheritance diagram for polybori::navigates< DDType >:

## Public Types

typedef DDType | dd_type
| Type of decision diagram. More...
typedef DDType::navigator | navigator
| Type for navigation through diagram. More...
typedef std::unary_function< dd_type, navigator > | base
| Generic access to base type. More...

## Public Member Functions

base::result_type | operator() (const dd_type &rhs) const
| The actual operation. More...

## Member Typedef Documentation

template<class DDType>

typedef std::unary_function<dd_type, navigator> polybori::navigates< DDType >::base

Generic access to base type.

template<class DDType>

typedef DDType polybori::navigates< DDType >::dd_type

Type of decision diagram.

template<class DDType>

typedef DDType::navigator polybori::navigates< DDType >::navigator

Type for navigation through diagram.

## Member Function Documentation

template<class DDType>

base::result_type polybori::navigates< DDType >::operator() | ( | const dd_type & | rhs | ) | const

inline

The actual operation.

The documentation for this class was generated from the following file:

- pbori_func.h